/*
 *  LaunchpadHelper.h
 *  Launchonme_terminal
 *
 *  Created by Johan Larsby on 12/4/09.
 *  Copyright 2009 __MyCompanyName__. All rights reserved.
 *
 */
#pragma once
 

#include <iostream>
#include <CoreMIDI/CoreMIDI.h>
#include "logic.h"
#include "LaunchpadHelper.h"



enum lights {
	light_off=0,
	red_low= 13,
	red_full= 14,
	red_flash= 11,
	amber_low= 29,
	amber_full= 63,
	amber_flash= 59,
	
	yellow_full= 62,
	
	yellow_flash= 58,
	green_low= 28,
	green_high= 60,
	green_flash= 56
};





void sendShortToLaunchpad( char midiStatusByte, char midiDataByte1, char midiDataByte2);
void sendShortToHost(char midiStatusByte, char midiDataByte1, char midiDataByte2);

void _handleMIDIMessageFromLaunchpad( int status, int data1,int  data2);
void _handleMIDIMessageFromHost( int status, int data1,int  data2);
static void  MyReadProc(const MIDIPacketList *packetList, void *refCon, void *connRefCon);
void setupFromLaunchpad();


void setupFromHost();
void setupCommunications();

// The thread entry point routine.
void* PosixThreadMainRoutine2(void* data);

// The thread entry point routine.
void* PosixThreadMainRoutine(void* data);

void LaunchThreads();
void stopHelper();

//-----------------------------

void resetLaunchPad();

void enableBlink();
void setButton(int x,int y,int col);