/*
 *  logic.cpp
 *  Launchonme_terminal
 *
 *  Created by Johan Larsby on 12/4/09.
 *  Copyright 2009 __MyCompanyName__. All rights reserved.
 *
 */
#include <iostream>
#include "logic.h"
#include "LaunchpadHelper.h"

bool is_running = true;


int xVel = -1;
int yVel = -1;
int X=3;
int Y=5;
int n;
char c;


static unsigned char  notemap[8][8] = 
{ 
	{0,1,2,3,4,5,6,7}, 
	{16,1+16,2+16,3+16,4+16,5+16,6+16,7+16}, 
	{32,1+32,2+32,3+32,4+32,5+32,6+32,7+32}, 
	{48,1+48,2+48,3+48,4+48,5+48,6+48,7+48}, 
	{64,1+64,2+64,3+64,4+64,5+64,6+64,7+64}, 
	{80,1+80,2+80,3+80,4+80,5+80,6+80,7+80}, 
	{96,1+96,2+96,3+96,4+96,5+96,6+96,7+96}, 
	{112,1+112,2+112,3+112,4+112,5+112,6+112,7+112}, 
};

static unsigned char  noteONmap[8][8] = 
{ 
	{0,0,0,0,0,0,0,0}, 
	{0,0,0,0,0,0,0,0}, 
	{0,0,0,0,0,0,0,0}, 
	{0,0,0,0,0,0,0,0}, 
	{0,0,0,0,0,0,0,0}, 
	{0,0,0,0,0,0,0,0}, 
	{0,0,0,0,0,0,0,0}, 
	{0,0,0,0,0,0,0,0}, 
	
	
};

 


 

unsigned char  seqMap[8]={24,26,28,29,31,33,35,36};


bool firstSeq=true;
int currentColumn=0;

void setup()
{
	resetLaunchPad();
}

void loop1()
{
	while(is_running)
	{
		//toggling column off
		if(firstSeq==true)
		{
			firstSeq=false;			
			resetLaunchPad();
		} 
		else
		{
//			printf("column %d\n",currentColumn );
			
			sendShortToLaunchpad(144,notemap[0][currentColumn],light_off);

			
		
			for(int i=0;i<8;i++)
			{
				if (noteONmap[i][currentColumn]==1) 
				{ 
					//printf("send midi off to host %d\n",seqMap[i] );
					sendShortToHost(144,seqMap[i], 0);
					

					//resetting light that migh have been destroyed
					sendShortToLaunchpad(144,notemap[i][currentColumn],red_full);

				}
				
			}
		}
		
		
		currentColumn++;
		
		if (currentColumn==8)
		{
			currentColumn=0;
		}
		
		sendShortToLaunchpad(144,notemap[0][currentColumn],yellow_full);
		
		
		for(int i=0;i<8;i++)
		{
			if (noteONmap[i][currentColumn]==1) 
			{ 
				//					_cCoreMIDI->sendShort(endpointRef, 0x90 | 0,seqMap[i], 0);
				//printf("send midi on to host %d\n",seqMap[i] );
				sendShortToLaunchpad(144,notemap[i][currentColumn],red_full);
				sendShortToHost(144,seqMap[i], 127);

				
			}
			
		}
		
		
		usleep(300000);
	
	
		
	
	
	
	
	
	}		
	
}


void loop2()
{
	while(is_running)
	{ 
		n = read(0, &c, 1);
		if (c =='q') 
		{
			is_running = false;
			stopHelper();
		}
	}	
	
}


void handleMIDIMessageFromHost( int status, int data1,int  data2)
{
	
		printf("handleMIDIMessageFromHost: ");
		
		printf("status %d | ",status);
		printf("data1 %d | ",data1);
		printf("data2 %d \n ",data2);
}


void handleMIDIMessageFromLaunchpad( int status, int data1,int  data2)
{
	int xeee,yeee=0;
	printf("handleMIDIMessageFromLaunchpad: ");
	
	printf("status %d | ",status);
	printf("data1 %d | ",data1);
	printf("data2 %d \n ",data2);
	
	for( xeee=0;xeee<8;xeee++)
		for( yeee=0;yeee<8;yeee++)
		{
			if(notemap[xeee][yeee]==data1)
			{
				if(data2==127)
					if(noteONmap[xeee][yeee]==1)
					{
						noteONmap[xeee][yeee]=0;
						sendShortToLaunchpad(144,notemap[xeee][yeee],light_off);
					}
					else 
					{
						noteONmap[xeee][yeee]=1;


						sendShortToLaunchpad(144,notemap[xeee][yeee],red_full);
					}
				return;
			}
		}
	
	
 
	
}
